JSON for Modern C++ 3.7.3

accept
accept
accept
allocator_type
array
array_t
at
at
at
at
at
at
back
back
basic_json
basic_json
basic_json
basic_json
basic_json
basic_json
basic_json
basic_json
basic_json
basic_json
begin
begin
binary
binary
binary
binary
binary_t
boolean_t
cbegin
cend
clear
const_iterator
const_pointer
const_reference
const_reverse_iterator
contains
contains
count
crbegin
crend
detail::external_constructor
diff
difference_type
dump
emplace
emplace_back
empty
end
end
erase
erase
erase
erase
error_handler_t
exception
find
find
flatten
from_bson
from_bson
from_bson
from_cbor
from_cbor
from_cbor
from_msgpack
from_msgpack
from_msgpack
from_ubjson
from_ubjson
from_ubjson
front
front
get
get
get
get
get
get
get_allocator
get_binary
get_binary
get_ptr
get_ptr
get_ref
get_ref
get_to
get_to
initializer_list_t
input_format_t
insert
insert
insert
insert
insert
insert
insert_iterator
invalid_iterator
is_array
is_binary
is_boolean
is_discarded
is_null
is_number
is_number_float
is_number_integer
is_number_unsigned
is_object
is_primitive
is_string
is_structured
items
items
iterator
iterator_wrapper
iterator_wrapper
json_pointer
json_sax_t
json_serializer
max_size
merge_patch
meta
number_float_t
number_integer_t
number_unsigned_t
object
object_comparator_t
object_t
operator value_t
operator ValueType
operator!=
operator!=
operator!=
operator+=
operator+=
operator+=
operator+=
operator<
operator<
operator<
operator<<
operator<<
operator<=
operator<=
operator<=
operator=
operator==
operator==
operator==
operator>
operator>
operator>
operator>=
operator>=
operator>=
operator>>
operator>>
operator[]
operator[]
operator[]
operator[]
operator[]
operator[]
operator[]
operator[]
other_error
out_of_range
parse
parse
parse
parse_error
parse_event_t
parser_callback_t
patch
pointer
push_back
push_back
push_back
push_back
rbegin
rbegin
reference
rend
rend
reverse_iterator
sax_parse
sax_parse
sax_parse
size
size_type
string_t
swap
swap
swap
swap
swap
swap
to_bson
to_bson
to_bson
to_cbor
to_cbor
to_cbor
to_msgpack
to_msgpack
to_msgpack
to_ubjson
to_ubjson
to_ubjson
type
type_error
type_name
unflatten
update
update
value
value
value
value
value_t
value_type
~basic_json
| ## ◆ operator<< [2/2]
std::ostream& operator<< | ( | std::ostream & | o,
|  | const basic_json & | j
| ) |  |
| friend
  Serialize the given JSON value j to the output stream o. The JSON value will be serialized using the dump member function. The indentation of the output can be controlled with the member variable `width` of the output stream o. For instance, using the manipulator `std::setw(4)` on o sets the indentation level to `4` and the serialization result is the same as calling `dump(4)`. The indentation character can be controlled with the member variable `fill` of the output stream o. For instance, the manipulator ‘std::setfill(’\t')` sets indentation to use a tab character rather than the default space character. Parameters
  [in,out] | o | stream to serialize to
  [in] | j | JSON value to serialize
  Returns the stream o Exceptions
  type_error.316 | if a string stored inside the JSON value is not UTF-8 encoded
  Complexity Linear. Example The example below shows the serialization with different parameters to `width` to adjust the indentation level. 1 #include <iostream> 2 #include <iomanip> 3 #include <nlohmann/json.hpp> 4 5 using json = nlohmann::json; 6 7 int main() 8 { 9 // create JSON values 10 json j_object = {{"one", 1}, {"two", 2}}; 11 json j_array = {1, 2, 4, 8, 16}; 12 13 // serialize without indentation 14 std::cout << j_object << "\n\n"; 15 std::cout << j_array << "\n\n"; 16 17 // serialize with indentation 18 std::cout << std::setw(4) << j_object << "\n\n"; 19 std::cout << std::setw(2) << j_array << "\n\n"; 20 std::cout << std::setw(1) << std::setfill('\t') << j_object << "\n\n"; 21 } Output (play with this example online):
      {"one":1,"two":2}

      [1,2,4,8,16]

      {
          "one": 1,
          "two": 2
      }

      [
        1,
        2,
        4,
        8,
        16
      ]

      {
      	"one": 1,
      	"two": 2
      }
  The example code above can be translated with
      g++ -std=c++11 -Isingle_include doc/examples/operator_serialize.cpp -o operator_serialize
Since version 1.0.0; indentation character added in version 3.0.0 Definition at line 22311 of file json.hpp.

nlohmann::json
basic_json<> json
default JSON class
Definition: json.hpp:2774